Subject: Re: [bug#68414] [PATCH] doc: Improve documentation for submitting patches

From: Alexandre Hannud Abdo <[email-masked]>
Date: Tue, 16 Jan 2024 18:45:37 +0100

Ni! Hi Clément,

I understand. The current version doesn't even make a distinction between inline patches and attached patches, so "you may …, but …" was just the weakest compatible form I found that didn't fundamentally change the message.

But since you're telling me it's fine to suppress it, that's all good and gone. I do have a thought about mentioning things that people could do out of convenience or habit, but won't work. But I'm fine with not talking about it.

One last question, following this reasoning, should I also remove the note about not using "git diff"? It's a similar situation, where just saying "send patches produced by format-patch" should suffice (and I would change "surest way" to "recommended way" or even better "make sure to send", which leaves no ground for doubt about either thing, without being too "rule-y").

Thank you,

ale

.~´

Le 15/01/2024 à 19:12, Clément Lassieur a écrit :
> Hello Alexandre,
>
> On Mon, Jan 15 2024, Alexandre Hannud Abdo wrote:
>
>> Ni! Thank you, we're actually in good agreement.
>>
>> The possibility of sending inline patches is already there in the current documentation. The excerpt you cite is mostly collage of existing text that was spread in different sections.
>>
>> I sought to articulate the possibilities and their preferred order more
>> clearly so people can better weight the consequences. And I actually tried to
>> word it in a way that would discourage inline patches more strongly than the
>> current text. I have sent inline patches in the past, after reading the
>> current text, and I'm sure I would not have sent them with the text I propose.
> The new version goes like: "You may also...".  But the truth is: "you
> must not." (because inline patches just don't work without git
> send-email).  It's a bit harsh, so I believe the best is to avoid
> talking about things that we don't want.
>
>> The only thing is that I did not feel authorized to exclude a possibility when
>> rewriting the doc. But if you tell me I can, I'll happily change the wording
>> to strictly discourage sending inline patches with an email client.
> Rather than discourage, I think it's fine to not talk about it.  We
> don't need to add rules for each use case.
>
> Thanks,
> Clément

-- 
If wars can be started by lies, peace can be started by truth.
https://www.democracynow.org/live/watch_live_the_belmarsh_tribunal_on